var util = require('../../../utils/util.js')
let app=getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    date: util.YYMM(new Date()),
    dataList:[],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getList();
  },
  bindDateChange(e){
    console.log(e);
    let val = e.detail.value.substr(0,7);
    console.log("val",val)
    this.setData({
      date: val
    })
    this.getList();
  },
  getList() {
    app.$apiJavaNew('/api/b2b/user/getBankbookUseDetail', { queryTime:this.data.date}).then(res => {
      let data = res;
      
      data.pageData.forEach(item=>{
        item.updateTime = item.updateTime.substr(0,10)
      })
      this.setData({
        dataList: data.pageData
      })
      console.log(this.data.dataList)
    }).catch(err => {

    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})